// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyC7X4LaNGdV13Ie33qa9keraFNzQNJfFeg',
    appId: '1:1082845711696:web:88d63ee54f0f228870b055',
    messagingSenderId: '1082845711696',
    projectId: 'user-management-e75ce',
    authDomain: 'user-management-e75ce.firebaseapp.com',
    databaseURL: 'https://user-management-e75ce-default-rtdb.asia-southeast1.firebasedatabase.app',
    storageBucket: 'user-management-e75ce.appspot.com',
    measurementId: 'G-4JKDXCR5SV',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyCUzUCzUQZw9GDIBSlRPByc1DE0jV8aOME',
    appId: '1:1082845711696:android:84bdeae1605a5fea70b055',
    messagingSenderId: '1082845711696',
    projectId: 'user-management-e75ce',
    databaseURL: 'https://user-management-e75ce-default-rtdb.asia-southeast1.firebasedatabase.app',
    storageBucket: 'user-management-e75ce.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyCuqppELxaU17pai_U5o_vFcQS_X8ORYOM',
    appId: '1:1082845711696:ios:64b1b9895d82b24770b055',
    messagingSenderId: '1082845711696',
    projectId: 'user-management-e75ce',
    databaseURL: 'https://user-management-e75ce-default-rtdb.asia-southeast1.firebasedatabase.app',
    storageBucket: 'user-management-e75ce.appspot.com',
    iosClientId: '1082845711696-qn70b8cevccmdgu8fa9jtpjon54u0ter.apps.googleusercontent.com',
    iosBundleId: 'com.example.userManagement',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyCuqppELxaU17pai_U5o_vFcQS_X8ORYOM',
    appId: '1:1082845711696:ios:64b1b9895d82b24770b055',
    messagingSenderId: '1082845711696',
    projectId: 'user-management-e75ce',
    databaseURL: 'https://user-management-e75ce-default-rtdb.asia-southeast1.firebasedatabase.app',
    storageBucket: 'user-management-e75ce.appspot.com',
    iosClientId: '1082845711696-qn70b8cevccmdgu8fa9jtpjon54u0ter.apps.googleusercontent.com',
    iosBundleId: 'com.example.userManagement',
  );
}
